Skip to main content
`Ctrl`+`K`

# PetscSectionReset

Frees all section data, the section is then as if `PetscSectionCreate()` had just been called.

## Synopsis

    #include "petscsection.h"
    PetscErrorCode PetscSectionReset(PetscSection s)

Not Collective

## Input Parameter

- s - the `PetscSection`

## See Also

PetscSection, `PetscSection`, `PetscSectionCreate()`

## Level

beginner

## Location

src/vec/is/section/interface/section.c

Index of all PetscSection routines
Table of Contents for all manual pages
Index of all manual pages